Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.task
Enum TaskOutcome

    java.lang.Object
      java.lang.Enum<TaskOutcome>
          lbg.task.TaskOutcome

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TaskOutcome>

    public enum TaskOutcome

extends java.lang.Enum<TaskOutcome>

Author:
  Cyril Briquet

Enum Constant Summary
`TASK_FAILURE`
`TASK_SUCCESS`

Method Summary
`static TaskOutcome` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TaskOutcome[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TASK_SUCCESS

    public static final TaskOutcome TASK_SUCCESS

### TASK_FAILURE

    public static final TaskOutcome TASK_FAILURE

Method Detail

### values

    public static final TaskOutcome[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TaskOutcome c : TaskOutcome.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TaskOutcome valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.